Loading...
Searching...
No Matches
Exiv2::Internal::MnHeader Class Referenceabstract

Makernote header interface. This class is used with TIFF makernotes. More...

`#include <makernote_int.hpp>`

Inheritance diagram for Exiv2::Internal::MnHeader:
[legend]

## Public Member Functions

Creators
virtual | ~MnHeader ()
| Virtual destructor.
Manipulators
virtual bool | read (const byte *pData, uint32_t size, ByteOrder byteOrder)=0
| Read the header from a data buffer, return true if ok.
virtual void | setByteOrder (ByteOrder byteOrder)
| Set the byte order for the makernote.
Accessors
virtual uint32_t | size () const =0
| Return the size of the header (in bytes).
virtual uint32_t | write (IoWrapper &ioWrapper, ByteOrder byteOrder) const =0
| Write the header to a data buffer, return the number of bytes written.
virtual uint32_t | ifdOffset () const
| Return the offset to the start of the Makernote IFD from the start of the Makernote (= the start of the header).
virtual ByteOrder | byteOrder () const
| Return the byte order for the makernote. If the return value is invalidByteOrder, this means that the byte order of the the image should be used for the makernote.
virtual uint32_t | baseOffset (uint32_t mnOffset) const
| Return the base offset for the makernote IFD entries relative to the start of the TIFF header. mnOffset is the offset to the makernote from the start of the TIFF header.

## Detailed Description

Makernote header interface. This class is used with TIFF makernotes.

## Member Function Documentation

## baseOffset()

uint32_t Exiv2::Internal::MnHeader::baseOffset | ( | uint32_t | mnOffset | ) | const

virtual

Return the base offset for the makernote IFD entries relative to the start of the TIFF header. mnOffset is the offset to the makernote from the start of the TIFF header.

Reimplemented in Exiv2::Internal::Olympus2MnHeader, Exiv2::Internal::OMSystemMnHeader, Exiv2::Internal::FujiMnHeader, Exiv2::Internal::Nikon3MnHeader, Exiv2::Internal::PentaxDngMnHeader, and Exiv2::Internal::SamsungMnHeader.

Referenced by Exiv2::Internal::TiffIfdMakernote::baseOffset().

## byteOrder()

ByteOrder Exiv2::Internal::MnHeader::byteOrder | ( |  | ) | const

virtual

Return the byte order for the makernote. If the return value is invalidByteOrder, this means that the byte order of the the image should be used for the makernote.

Reimplemented in Exiv2::Internal::FujiMnHeader, Exiv2::Internal::Nikon3MnHeader, and Exiv2::Internal::Casio2MnHeader.

Referenced by Exiv2::Internal::TiffIfdMakernote::byteOrder().

## ifdOffset()

uint32_t Exiv2::Internal::MnHeader::ifdOffset | ( |  | ) | const

virtual

Return the offset to the start of the Makernote IFD from the start of the Makernote (= the start of the header).

Reimplemented in Exiv2::Internal::OlympusMnHeader, Exiv2::Internal::Olympus2MnHeader, Exiv2::Internal::OMSystemMnHeader, Exiv2::Internal::FujiMnHeader, Exiv2::Internal::Nikon2MnHeader, Exiv2::Internal::Nikon3MnHeader, Exiv2::Internal::PanasonicMnHeader, Exiv2::Internal::PentaxDngMnHeader, Exiv2::Internal::PentaxMnHeader, Exiv2::Internal::SigmaMnHeader, Exiv2::Internal::SonyMnHeader, and Exiv2::Internal::Casio2MnHeader.

Referenced by Exiv2::Internal::TiffIfdMakernote::ifdOffset().

## read()

virtual bool Exiv2::Internal::MnHeader::read | ( | const byte * | pData,
|  | uint32_t | size,
|  | ByteOrder | byteOrder
| ) |  |

pure virtual

Read the header from a data buffer, return true if ok.

Implemented in Exiv2::Internal::OlympusMnHeader, Exiv2::Internal::Olympus2MnHeader, Exiv2::Internal::OMSystemMnHeader, Exiv2::Internal::FujiMnHeader, Exiv2::Internal::Nikon2MnHeader, Exiv2::Internal::Nikon3MnHeader, Exiv2::Internal::PanasonicMnHeader, Exiv2::Internal::PentaxDngMnHeader, Exiv2::Internal::PentaxMnHeader, Exiv2::Internal::SamsungMnHeader, Exiv2::Internal::SigmaMnHeader, Exiv2::Internal::SonyMnHeader, and Exiv2::Internal::Casio2MnHeader.

Referenced by Exiv2::Internal::TiffIfdMakernote::readHeader().

## setByteOrder()

void Exiv2::Internal::MnHeader::setByteOrder | ( | ByteOrder | byteOrder | ) |

virtual

Set the byte order for the makernote.

Reimplemented in Exiv2::Internal::Nikon3MnHeader.

Referenced by Exiv2::Internal::TiffIfdMakernote::setByteOrder().

## size()

virtual uint32_t Exiv2::Internal::MnHeader::size | ( |  | ) | const

pure virtual

Return the size of the header (in bytes).

Implemented in Exiv2::Internal::OlympusMnHeader, Exiv2::Internal::Olympus2MnHeader, Exiv2::Internal::OMSystemMnHeader, Exiv2::Internal::FujiMnHeader, Exiv2::Internal::Nikon2MnHeader, Exiv2::Internal::Nikon3MnHeader, Exiv2::Internal::PanasonicMnHeader, Exiv2::Internal::PentaxDngMnHeader, Exiv2::Internal::PentaxMnHeader, Exiv2::Internal::SamsungMnHeader, Exiv2::Internal::SigmaMnHeader, Exiv2::Internal::SonyMnHeader, and Exiv2::Internal::Casio2MnHeader.

Referenced by Exiv2::Internal::TiffIfdMakernote::sizeHeader().

## write()

virtual uint32_t Exiv2::Internal::MnHeader::write | ( | IoWrapper & | ioWrapper,
|  | ByteOrder | byteOrder
| ) |  | const

pure virtual

Write the header to a data buffer, return the number of bytes written.

Implemented in Exiv2::Internal::OlympusMnHeader, Exiv2::Internal::Olympus2MnHeader, Exiv2::Internal::OMSystemMnHeader, Exiv2::Internal::FujiMnHeader, Exiv2::Internal::Nikon2MnHeader, Exiv2::Internal::Nikon3MnHeader, Exiv2::Internal::PanasonicMnHeader, Exiv2::Internal::PentaxDngMnHeader, Exiv2::Internal::PentaxMnHeader, Exiv2::Internal::SamsungMnHeader, Exiv2::Internal::SigmaMnHeader, Exiv2::Internal::SonyMnHeader, and Exiv2::Internal::Casio2MnHeader.

Referenced by Exiv2::Internal::TiffIfdMakernote::writeHeader().

The documentation for this class was generated from the following files:

- makernote_int.hpp
- makernote_int.cpp